Page MenuHomePhabricator

In MW 1.23 some php and xml files are having executable rights
Closed, ResolvedPublic

Description

Author: jweberhofer

Description:
mediawiki/extensions/Nuke/Nuke.php
mediawiki/extensions/Nuke/Nuke.hooks.php
mediawiki/extensions/Nuke/Nuke.i18n.php
mediawiki/languages/data/plurals.xml


Version: REL1_23-branch
Severity: normal

Details

Reference
bz66182

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:16 AM
bzimport set Reference to bz66182.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 5 2014, 11:04 AM

Change 137568 had a related patch set uploaded by Reedy:
chmod -x languages/data/plurals.xml

https://gerrit.wikimedia.org/r/137568

Change 137569 had a related patch set uploaded by Reedy:
chmod -x languages/data/plurals.xml

https://gerrit.wikimedia.org/r/137569

Change 137569 merged by jenkins-bot:
chmod -x languages/data/plurals.xml

https://gerrit.wikimedia.org/r/137569

Change 137568 merged by jenkins-bot:
chmod -x languages/data/plurals.xml

https://gerrit.wikimedia.org/r/137568

Seb35 added a comment.Jun 20 2014, 8:56 AM

Reedy fixed this bug in core REL1_23 and master, and in Nuke master. Should it be fixed also in REL1_22 and in REL1_19?

All patches merged for 1.23 and 1.24, closing as RESOLVED FIXED.

(In reply to Seb35 from comment #6)

Reedy fixed this bug in core REL1_23 and master, and in Nuke master. Should
it be fixed also in REL1_22 and in REL1_19?

Sounds like a request to backport, so I'll set that backport flag here for Mark and Markus.

languages/data/plurals.xml is not executable on REL1_19, REL1_21 and REL1_22

mediawiki/extensions/Nuke/Nuke.php
mediawiki/extensions/Nuke/Nuke.hooks.php
mediawiki/extensions/Nuke/Nuke.i18n.php
not executable on REL1_19, REL1_20, REL1_21 and REL1_22

nothing to backport